DF(1)                      Benutzerkommandos                      DF(1)

NAME
     df - Freien Speicherplatz auf Medium anzeigen

SYNOPSIS
     df [-akP][Laufwerk:...][Datei...]

BESCHREIBUNG
     df (disk free) zeigt an, wieviele Kbytes auf einem GEMDOS-Laufwerk 
     belegt und frei sind, wieviele Kbytes insgesamt zur Verfgung 
     stehen und mit welchem Volume-Namen das Medium versehen ist. Wenn 
     mglich (AHDI-kompatibler oder XHDI-kompatibler Festplattentreiber) 
     wird auch ausgegeben, welches logische Laufwerk auf welcher Fest-
     platte liegt.

     Ohne Argumente erfolgt diese Anzeige fr alle angeschlossenen 
     Laufwerke mit Kennung ungleich A: oder B:, bei denen die Blockzahl 
     ungleich Null ist. Ansonsten drfen als Parameter sowohl Lauf-
     werksnamen (zum Beispiel C:) wie auch beliebige Datei- oder Ord-
     nernamen angegeben werden (dann wird das dazugehrige Laufwerk 
     ausgewhlt).

     Als Bezeichnung fr das Dateisystem wird ein String folgenden 
     Formats benutzt:

     ?         Ursprung des Dateisystems unbekannt

     oder

     ACSI.Major.Minor.Startblock
     SCSI.Major.Minor.Startblock
     FD.Minor.Startblock
     IDE.Major.Startblock
     XHDI.Major.Minor.Startblock

     oder

     MetaDOS.Gertebuchstabe (erfordert MetaDOS 2.30).

     Format:

     Major          'Major' Gertenummer. Normalerweise: Nummer des Bus-
                    Targets (zur Zeit 0..7).

     Minor          'Minor' Gertenummer. Normalerweise die 'Logical 
                    Unit Number' des Laufwerks.

     Startblock     Nummer des ersten Blocks des Dateisystems auf dem 
                    angegebenen Gert (bei passendem MetaDOS-CDROM-
                    Treiber logische Blocknummer der letzten `Session' 
                    eines ISO-Dateisystems).


OPTIONEN
     -a, --all
          Ausgabe geschieht fr alle dem GEMDOS bekannten Laufwerke. 
          Dazu wird die GEMDOS-Funktion Dsetdrv(2) konsultiert.

     --help
          Gibt Hilfstext aus.

     -k, --kilobytes
          Ausgabe in Kilobytes statt in 512-Byte-Blcken.

     -P, --portable-format
          Ausgabe im Standardformat laut `POSIX 1003.2a' (Draft 8, 
          5.8.6.1).

     --version
          Gibt Programmversion aus.

BEISPIELE
     Informationen ber das aktuelle Verzeichnis abfragen:

     $ df .
     Laufwerk          1024-Blcke benutzt    frei   Anteil  install...
     SCSI.0.0.62200          35758   34874     884      97%  D:\

     Informationen ber alle Dateisysteme im portablen Format mit Kilo-
     byte-Blcken erfragen:

     $ df --all --portable-format --kilobytes
     Filesystem        1024-blocks    Used Available Capacity Mounted on
     FD.0.0                    713     343       370      48% A:\
     FD.0.0                    713     343       370      48% B:\
     SCSI.0.0.2              31028   30228       800      97% C:\
     SCSI.0.0.62200          35758   34874       884      97% D:\
     SCSI.0.0.133880         35758   34822       936      97% E:\
     SCSI.4.0.2              86664   83312      3352      96% F:\                    

     Zur Erklrung: Das Dateisystem `F:\' liegt auf SCSI-Gert 4, 
     Logical Unit 0 und beginnt auf Sektor 2.

     Wer immer das 1024-Byte-Format sehen will, sollte sich folgende 
     Shellfunktion definieren:

     df()
     {
          command df -k $*
     }

ENVIRONMENT
     LANG      Legt die zu benutzende Landessprache fest, wenn weder 
               LC_ALL noch LC_MESSAGES existiert.

     LC_ALL    Wenn diese Environmentvariable auf `german' gesetzt ist, 
               benutzt df deutschsprachige Meldungen. Bei `C' und 
               `POSIX' werden englischsprachige Meldungen gewhlt. Fr 
               andere Werte wird standardmig Englisch benutzt. Exi-
               stiert diese Variable nicht, wird stattdessen LC_MESSAGES 
               berprft.

     LC_MESSAGES
               Siehe LC_ALL. Wenn auch diese Variable nicht existiert, 
               wird stattdessen LANG benutzt.

     POSIXLY_CORRECT
               Normalerweise drfen Optionen an beliebiger Stelle in der 
               Argumentliste auftauchen. Ist diese Variable gesetzt, 
               werden sie nur noch am Beginn der Argumentliste erkannt 
               (ganz wie POSIX 1003.2 es fordert). Wer in Shellscripts 
               auf Nummer sich gehen will, sollte Optionen und Argumente 
               immer durch -- voneinander trennen.

     STDERR    Wenn diese Environment-Variable existiert, wird stderr 
               (Kanal 2) unverndert benutzt. Ansonsten wird es auf 
               stdout umgelenkt, sofern es auf ein zeichenorientiertes 
               Gert zeigt.

     UNIXMODE  Wenn diese Environmentvariable das Zeichen / enthlt, 
               dann werden alle Schrgstriche in Parametern durch 
               Pfadtrennzeichen ersetzt. Wenn / zweimal vorhanden ist, 
               werden auch Ausgaben entsprechend gewandelt.

EXIT STATUS
     0    Alles in Ordnung.
     >0   Es ist ein Fehler aufgetreten.

AUTOR
     Copyright (c) 28. April 1994
     Julian F. Reschke (jr@ms.maus.de)

FEHLER
     Aufgrund eines Fehlers in der Routine Dfree(2) lterer GEMDOS-
     Versionen sind auf TOS-Dateisystemen selbst auf einem leeren Medium 
     immer mindestens zwei Blcke belegt (bis ausschlielich GEMDOS 
     0.30 bzwm. Mag!x).

     Die korrekte Erkennung von SCSI-Gerten klappt zur Zeit nur bei 
     AHDI 4.00 (und dazu kompatiblen Treibern) sowie bei XHDI-1.0-
     kompatiblen Treibern.

     Die Zuordnung von GEMDOS-Dateisystemnamen zu BIOS-Gertennummern 
     ist prinzipiell unsicher und knnte unter Umstnden zu falschen 
     Ergebnissen fhren.

SIEHE AUCH
     XHDI-Spezifikation, Version 1.20
     AHDI 3.00 Release Notes, Atari Corporation, 18. April 1990,
     du(1), mupftool(1), version(1m), Dfree(2), Sversion(2)

